## volatility 2.3.1

=== tools/linux/Makefile ===
obj-m += module.o
KDIR ?= /
KVER ?= $(shell uname -r)

-include version.mk

all: dwarf 

dwarf: module.c
	$(MAKE) -C $(KDIR)/lib/modules/$(KVER)/build CONFIG_DEBUG_INFO=y M=$(PWD) modules
	dwarfdump -di module.ko > module.dwarf
	$(MAKE) -C $(KDIR)/lib/modules/$(KVER)/build M=$(PWD) clean

clean:
	$(MAKE) -C $(KDIR)/lib/modules/$(KVER)/build M=$(PWD) clean
	rm -f module.dwarf

=== debian/changelog ===
volatility (2.3.1-7) unstable; urgency=medium

  * debian/control: moved python from Depends to Suggests field in
    volatility-tools binary, to avoid unnecessary installs when
    making a Linux profile only. It is a special case.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 31 Jan 2014 07:40:07 -0200

volatility (2.3.1-6) unstable; urgency=medium

  * debian/control: removed minimum python version from volatility-tools,
    to allow the profile creation on old versions of the distributions.
  * debian/volatility.lintian-overrides: useless; removed.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 30 Jan 2014 22:34:47 -0200

volatility (2.3.1-5) unstable; urgency=medium

  * debian/control:
      - Added python as dependency in volatility-tools binary.
      - Changed the minimum python version from 2.6 to 2.7 in
        X-Python-Version field.
  * debian/*.install: added to create the volatility and volatility-tools
        packages.
  * debian/rules:
      - Changed in python setup line from --root=debian/volatility to
        --root=debian/tmp.
      - Removed the lines used to create the volatility-tool package.
        This is made by debian/*.install files now.
      - Removed the DESTDIR* lines.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 30 Jan 2014 14:12:34 -0200

volatility (2.3.1-4) unstable; urgency=high

  * debian/control: changed yara to python-yara as volatility dependency.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 26 Jan 2014 16:42:27 -0200

volatility (2.3.1-3) unstable; urgency=medium

  * Updated to unstable.
  * debian/control: updated the long description.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 17 Jan 2014 08:11:48 -0200

volatility (2.3.1-2) experimental; urgency=medium

  * New binary:
      - Created volatility-tools to provide, separately, the code used to
        generate profiles to Volatility.
      - Added the volatility-tools.dirs file to provides
        /usr/src/volatility-tools.
      - Added a README.Debian to talk about the profiles creation process.
      - Renamed debian/docs to debian/volatility.docs; debian/links to
        volatility.links; manpages to volatility.manpages.
      - Updated the debian/rules file.
  * debian/control:
      - Added volatility-tools and yara as volatility dependency.
      - Added volatility-profiles as volatility recommendation.
      - Bumped Standards-Version from 3.9.4 to 3.9.5.
  * debian/copyright:
      - Added Michael Prokop to maintainers.
      - Updated the packaging years.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 07 Jan 2014 15:36:52 -0200

volatility (2.3.1-1) unstable; urgency=low

  * Initial release (Closes: #728251)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 02 Nov 2013 01:10:33 -0200

=== debian/control ===
Source: volatility
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>, Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9), python
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/volatility
Vcs-Git: git://anonscm.debian.org/collab-maint/volatility.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=forensics/volatility.git;a=summary

Package: volatility
Architecture: all
Suggests: lime-forensics-dmks, libraw1394-11
Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-imaging,
         python-openpyxl, python-yara, volatility-tools (>= 2.3.1-5)
Recommends: volatility-profiles
Description: advanced memory forensics framework
 The Volatility Framework is a completely open collection of tools for the
 extraction of digital artifacts from volatile memory (RAM) samples. It is
 useful in forensics analysis. The extraction techniques are performed
 completely independent of the system being investigated but offer
 unprecedented visibility into the runtime state of the system.
 .
 Volatility supports memory dumps from all major 32- and 64-bit Windows
 versions and service packs. Whether your memory dump is in raw format, a
 Microsoft crash dump, hibernation file, or virtual machine snapshot,
 Volatility is able to work with it.
 .
 Linux memory dumps in raw or LiME format are supported too. There are several
 plugins for analyzing 32- and 64-bit Linux kernels and distributions such as
 Debian, Ubuntu, OpenSuSE, Fedora, CentOS, and Mandrake.
 .
 Volatility also support several versions of Mac OSX memory dumps, both 32-
 and 64-bit. Android phones with ARM processors are also supported.
 .
 These are some of the data that can be extracted:
    .
    - Image information (date, time, CPU count).
    - Running processes.
    - Open network sockets and connections.
    - OS kernel modules loaded.
    - Memory maps for each process.
    - Executables samples.
    - Command histories.
    - Passwords, as LM/NTLM hashes and LSA secrets.
    - Others.

Package: volatility-tools
Architecture: all
Depends: ${misc:Depends}, dwarfdump
Suggests: gcc, linux-headers, make, python, zip
Description: generate profiles to Volatility Framework
 The Volatility Framework is a completely open collection of tools for the
 extraction of digital artifacts from volatile memory (RAM) samples. It is
 useful in forensics analysis.
 .
 This package provides the code used to generate Linux and MAC profiles to
 Volatility.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with python2

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb --install-scripts=/usr/share/volatility --install-data=/usr/share/volatility

# Recommended line:
override_dh_auto_build:

=== debian/watch ===
version=3
https://code.google.com/p/volatility/downloads/list .*name=volatility-(\d\S*)\.tar\.gz.*

## volatility 2.4

=== debian/changelog ===
volatility (2.4-1~bpo70+2) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Fix the dependencies in Backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Nov 2014 22:14:55 -0200

volatility (2.4-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 14 Nov 2014 11:14:25 -0200

volatility (2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: added to remove some files generated by upstream when
      building.
  * debian/control:
      - Added dh-python as build dependency.
      - Added python-distorm3 and python-tz as install dependencies
        to volatility binary.
      - Fixed the name 'lime-forensics-dkms' in Suggests field.
      - Following the upstream README, changed X-Python-Version from
        >= 2.7 to 2.7.
      - Improved the long description.
      - Removed the volatility-profiles, a recommended package, from
        volatility binary. This package is dead and will be removed
        from Debian.
      - Updated the Standards-Version from 3.9.5 to 3.9.6.
  * debian/copyright:
      - Updated the Source field.
      - Updated the upstream names and copyright years.
  * debian/man/:
      - Changed the generator script from genman.sh to genallman.sh.
      - Removed (now) useles file 'notes'.
      - Updated the manpage.
  * debian/volatility-tools.README.Debian: improved.
  * debian/watch: deactivated because the new upstream site is using
      resources that can't be monitored.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Oct 2014 17:15:53 -0300

volatility (2.3.1-10) unstable; urgency=medium

  * New maintainer email address.
  * debian/control: updated the Vcs-Browser field.
  * debian/man/:
      - Added genman.sh to automate the manpage creation.
      - Renamed volatility.1.header to header.txt.
  * debian/volatility-tools.dirs: removed because the
    volatility-tools.install file already creates the
    directory.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 Aug 2014 13:45:27 -0300

volatility (2.3.1-9) unstable; urgency=medium

  * debian/volatility-tools.README.Debian: updated the information about
    the new profile folder.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 31 Mar 2014 20:30:41 -0300

volatility (2.3.1-8) unstable; urgency=medium

  * debian/control: fixed the Vcs-Git field. Thanks to
    Mario Lang <mlang@debian.org> for report.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 21 Feb 2014 08:29:47 -0300

=== debian/control ===
Source: volatility
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>, Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9), python, dh-python
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: http://www.volatilityfoundation.org
Vcs-Git: git://anonscm.debian.org/forensics/volatility.git
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/volatility.git

Package: volatility
Architecture: all
Suggests: lime-forensics-dkms, libraw1394-11
Depends: ${misc:Depends},
         ${python:Depends},
         python-crypto,
         python-distorm3,
         python-imaging,
         python-openpyxl,
         python-tz,
         python-yara,
         volatility-tools (>= 2.4-1~bpo70+1)
Description: advanced memory forensics framework
 The Volatility Framework is a completely open collection of tools for
 the extraction of digital artifacts from volatile memory (RAM) samples.
 It is useful in forensics analysis. The extraction techniques are
 performed completely independent of the system being investigated but
 offer unprecedented visibility into the runtime state of the system.
 .
 Volatility supports memory dumps from all major 32- and 64-bit Windows
 versions and service packs. Whether your memory dump is in raw format,
 a Microsoft crash dump, hibernation file, or virtual machine snapshot,
 Volatility is able to work with it.
 .
 Linux memory dumps in raw or LiME format are supported too. There are
 several plugins for analyzing memory dumps from 32- and 64-bit Linux
 kernels and relevant distributions such as Debian, Ubuntu, OpenSuSE,
 RedHat, Fedora, CentOS, Mandrake, etc.
 .
 Volatility also support several versions of Mac OSX memory dumps, both
 32- and 64-bit. Android phones with ARM processors are also supported.
 .
 These are some of the data that can be extracted from a memory image:
    .
    - Image information (date, time, CPU count);
    - Running processes;
    - Open network sockets and connections;
    - OS kernel modules loaded;
    - Memory maps for each process;
    - Executables samples;
    - Command history;
    - Suspicious process mappings (i.e. injected code);
    - Passwords, as LM/NTLM hashes and LSA secrets;
    - Cached Truecrypt passphrases;
    - Others.
 .
 Current version (2.4) supports investigations of the following memory images:
 .
    - 64-bit Windows Server 2012 and 2012 R2;
    - 32- and 64-bit Windows 8 and 8.1;
    - 32- and 64-bit Windows 7 (all service packs);
    - 32- and 64-bit Windows Server 2008 (all service packs);
    - 64-bit Windows Server 2008 R2 (all service packs);
    - 32- and 64-bit Windows Vista (all service packs);
    - 32- and 64-bit Windows Server 2003 (all service packs);
    - 32- and 64-bit Windows XP (SP2 and SP3);
    - 32- and 64-bit Linux kernels from 2.6.11 to 3.5;
    - 32-bit 10.5.x Leopard (the only 64-bit 10.5 is Server, not supported);
    - 32- and 64-bit 10.6.x Snow Leopard;
    - 32- and 64-bit 10.7.x Lion;
    - 64-bit 10.8.x Mountain Lion (there is no 32-bit version);
    - 64-bit 10.9.x Mavericks (there is no 32-bit version);
    - 32- and 64-bit Linux kernels up to 3.16.
 .
 Volatility supports a variety of sample file formats:
 .
    - Raw/Padded Physical Memory;
    - Firewire (IEEE 1394);
    - Expert Witness (EWF);
    - 32- and 64-bit Windows Crash Dump;
    - 32- and 64-bit Windows Hibernation;
    - 32- and 64-bit MachO files;
    - Virtualbox Core Dumps;
    - VMware Saved State (.vmss) and Snapshot (.vmsn);
    - HPAK Format (FastDump);
    - QEMU memory dumps.

Package: volatility-tools
Architecture: all
Depends: ${misc:Depends}, dwarfdump
Suggests: gcc, linux-headers, make, python, zip
Description: generate profiles to Volatility Framework
 The Volatility Framework is a completely open collection of tools for the
 extraction of digital artifacts from volatile memory (RAM) samples. It is
 useful in forensics analysis.
 .
 This package provides the code used to generate Linux and MAC profiles to
 Volatility.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with python2

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb \
                                --install-scripts=/usr/share/volatility \
                                --install-data=/usr/share/volatility

# Recommended line:
override_dh_auto_build:

=== debian/watch ===
version=3
# https://code.google.com/p/volatility/downloads/list .*name=volatility-(\d\S+)\.tar\.(?:bz2|gz|xz).*
#
# The new upstream site (http://www.volatilityfoundation.org) is using resources anti-monitoring.
# I will ask to the upstream to solve this in a next release.

## volatility 2.4.1

=== debian/changelog ===
volatility (2.4.1-2) unstable; urgency=medium

  * Upload to unstable. Welcome Jessie Stable.
  * debian/control: fixed the extra spaces between lines. Thanks to
      Davide Prina <davide.prina@gmail.com> (Closes: #768775)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 29 Apr 2015 12:57:04 -0300

volatility (2.4.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Removed the block 'Files: tools/linux/pmem/pmem.c'. The pmem no longer
        exists in Volatility.
      - Removed not used 'Apache-2.0' licence text.
      - Updated the packaging copyright years.
  * debian/man/:
      - Little adjustments in manpage.
      - Renamed to debian/manpage/.
  * debian/rules: added the override_auto_clean target to remove some files
      forgotten by upstream.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2015 14:02:52 -0300

volatility (2.4-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: removed the Recommends field because volatility-profiles
      no longer exists in unstable/testing (see #766895).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Nov 2014 23:17:36 -0200

volatility (2.4-3) experimental; urgency=medium

  * debian/copyright: added a new upstream site. See below.
  * debian/watch: The Volatility Project replied me a recent email
       message and the development site (GitHub) now uses tags.
       Thanks a lot to Jamie Levy (gleeda).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 20 Nov 2014 19:09:46 -0200

volatility (2.4-2) experimental; urgency=medium

  * debian/watch: added a fake site to explain about the current
      status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Nov 2014 08:45:16 -0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
          python-openpyxl,
          python-tz,
          python-yara,
-         volatility-tools (>= 2.4-1~bpo70+1)
+         volatility-tools (>= 2.4.1-1)
 Description: advanced memory forensics framework
  The Volatility Framework is a completely open collection of tools for
  the extraction of digital artifacts from volatile memory (RAM) samples.
@@ -43,7 +43,6 @@
  32- and 64-bit. Android phones with ARM processors are also supported.
  .
  These are some of the data that can be extracted from a memory image:
-    .
     - Image information (date, time, CPU count);
     - Running processes;
     - Open network sockets and connections;
@@ -56,8 +55,7 @@
     - Cached Truecrypt passphrases;
     - Others.
  .
- Current version (2.4) supports investigations of the following memory images:
- .
+ Current version (2.4.1) supports investigations of the following memory images:
     - 64-bit Windows Server 2012 and 2012 R2;
     - 32- and 64-bit Windows 8 and 8.1;
     - 32- and 64-bit Windows 7 (all service packs);
@@ -75,7 +73,6 @@
     - 32- and 64-bit Linux kernels up to 3.16.
  .
  Volatility supports a variety of sample file formats:
- .
     - Raw/Padded Physical Memory;
     - Firewire (IEEE 1394);
     - Expert Witness (EWF);

## volatility 2.5

=== debian/changelog ===
volatility (2.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: not needed. Removed.
  * debian/control: updated the long description.
  * debian/copyright:
      - The upstream's README.txt says GPL-2+. So, updated the
        license in debian/copyright.
      - Relicensed the packaging to be compliant with upstream.
      - Updated all information.
  * debian/gbp.conf: not used by me... Removed.
  * debian/manpage/:
      - Updated the manpage.
      - Updated the genallman.sh to v0.3.
  * debian/source/options: not needed. Removed.
  * debian/volatility.docs: added AUTHORS.txt and CREDITS.txt.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Nov 2015 12:01:43 -0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>, Michael Prokop <mika@debian.org>
+Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>,
+           Michael Prokop <mika@debian.org>
 Build-Depends: debhelper (>= 9), python, dh-python
 X-Python-Version: 2.7
 Standards-Version: 3.9.6
@@ -37,7 +38,7 @@
  Linux memory dumps in raw or LiME format are supported too. There are
  several plugins for analyzing memory dumps from 32- and 64-bit Linux
  kernels and relevant distributions such as Debian, Ubuntu, OpenSuSE,
- RedHat, Fedora, CentOS, Mandrake, etc.
+ RedHat, Fedora, CentOS, Mandriva, etc.
  .
  Volatility also support several versions of Mac OSX memory dumps, both
  32- and 64-bit. Android phones with ARM processors are also supported.
@@ -55,22 +56,26 @@
     - Cached Truecrypt passphrases;
     - Others.
  .
- Current version (2.4.1) supports investigations of the following memory images:
-    - 64-bit Windows Server 2012 and 2012 R2;
-    - 32- and 64-bit Windows 8 and 8.1;
-    - 32- and 64-bit Windows 7 (all service packs);
-    - 32- and 64-bit Windows Server 2008 (all service packs);
-    - 64-bit Windows Server 2008 R2 (all service packs);
-    - 32- and 64-bit Windows Vista (all service packs);
-    - 32- and 64-bit Windows Server 2003 (all service packs);
-    - 32- and 64-bit Windows XP (SP2 and SP3);
-    - 32- and 64-bit Linux kernels from 2.6.11 to 3.5;
-    - 32-bit 10.5.x Leopard (the only 64-bit 10.5 is Server, not supported);
-    - 32- and 64-bit 10.6.x Snow Leopard;
-    - 32- and 64-bit 10.7.x Lion;
-    - 64-bit 10.8.x Mountain Lion (there is no 32-bit version);
-    - 64-bit 10.9.x Mavericks (there is no 32-bit version);
-    - 32- and 64-bit Linux kernels up to 3.16.
+ Current version (2.5) supports investigations of the memory images from
+ these operational systems:
+    - 64-bit Windows Server 2012 and 2012 R2
+    - 32- and 64-bit Windows 10 (initial/basic support)
+    - 32- and 64-bit Windows 8, 8.1, and 8.1 Update 1
+    - 32- and 64-bit Windows 7 (all service packs)
+    - 32- and 64-bit Windows Server 2008 (all service packs)
+    - 64-bit Windows Server 2008 R2 (all service packs)
+    - 32- and 64-bit Windows Vista (all service packs)
+    - 32- and 64-bit Windows Server 2003 (all service packs)
+    - 32- and 64-bit Windows XP (SP2 and SP3)
+    - 32- and 64-bit Linux kernels from 2.6.11 to 4.2.3
+    - 32-bit 10.5.x Leopard (the only 64-bit 10.5 is Server, which
+      isn't supported)
+    - 32- and 64-bit 10.6.x Snow Leopard
+    - 32- and 64-bit 10.7.x Lion
+    - 64-bit 10.8.x Mountain Lion (there is no 32-bit version)
+    - 64-bit 10.9.x Mavericks (there is no 32-bit version)
+    - 64-bit 10.10.x Yosemite (there is no 32-bit version)
+    - 64-bit 10.11.x El Capitan (there is no 32-bit version)
  .
  Volatility supports a variety of sample file formats:
     - Raw/Padded Physical Memory;

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 
 # Recommended line:
 override_dh_auto_build:
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf volatility.egg-info

=== debian/watch ===
version=3
https://github.com/volatilityfoundation/volatility/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## volatility 2.5+git20161021.19d1211

=== debian/changelog ===
volatility (2.5+git20161021.19d1211-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Oct 2016 18:14:58 -0200

volatility (2.5+git20161021.19d1211-1) unstable; urgency=medium

  * New upstream release. This release fixes partially an issue with Kernel
    Linux 4.7. (see #839754)
  * Bumped DH level to 10.
  * Using GitHub project page as official upstream homepage.
  * debian/control: updated the long description for volatility.
  * debian/copyright: updated some upstream copyright dates.
  * debian/manpages:
      - Changed from genallman.sh to create-man.sh.
      - Updated manpage as '2.6-pre' version.
  * debian/patches/10_python-macos-interpreter.patch: added to provides an
    interpreter for python in MacOs.
  * debian/rules:
      - Removed the --parallel option from dh.
      - Removed the override_dh_auto_build target.
  * debian/source/lintian-overrides: added to override a lintian mistake.
  * debian/volatility-tools.README.Debian: updated.
  * debian/watch: added a dversionmangle to ignore the current Git version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 22 Oct 2016 13:02:46 -0200

volatility (2.5-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Fixed the name "openSUSE" in long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/manpage/: updated the manpage. (Closes: #824438)
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Aug 2016 18:54:34 -0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>,
            Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 9), python, dh-python
+Build-Depends: debhelper (>= 10), python, dh-python
 X-Python-Version: 2.7
-Standards-Version: 3.9.6
-Homepage: http://www.volatilityfoundation.org
-Vcs-Git: git://anonscm.debian.org/forensics/volatility.git
-Vcs-Browser: http://anonscm.debian.org/cgit/forensics/volatility.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/volatilityfoundation/volatility
+Vcs-Git: https://anonscm.debian.org/git/forensics/volatility.git
+Vcs-Browser: https://anonscm.debian.org/git/forensics/volatility.git
 
 Package: volatility
 Architecture: all
@@ -37,7 +37,7 @@
  .
  Linux memory dumps in raw or LiME format are supported too. There are
  several plugins for analyzing memory dumps from 32- and 64-bit Linux
- kernels and relevant distributions such as Debian, Ubuntu, OpenSuSE,
+ kernels and relevant distributions such as Debian, Ubuntu, openSUSE,
  RedHat, Fedora, CentOS, Mandriva, etc.
  .
  Volatility also support several versions of Mac OSX memory dumps, both
@@ -58,8 +58,9 @@
  .
  Current version (2.5) supports investigations of the memory images from
  these operational systems:
-    - 64-bit Windows Server 2012 and 2012 R2
-    - 32- and 64-bit Windows 10 (initial/basic support)
+    - 32- and 64-bit Windows Server 2012
+    - 64-bit Windows 2012 R2
+    - 32- and 64-bit Windows 10
     - 32- and 64-bit Windows 8, 8.1, and 8.1 Update 1
     - 32- and 64-bit Windows 7 (all service packs)
     - 32- and 64-bit Windows Server 2008 (all service packs)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf volatility.egg-info

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb \
                                --install-scripts=/usr/share/volatility \
                                --install-data=/usr/share/volatility

=== debian/watch ===
version=4
opts=dversionmangle=s/\+git20161021\.19d1211// \
https://github.com/volatilityfoundation/volatility/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## volatility 2.6

=== debian/changelog ===
volatility (2.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: updated the description.
  * debian/copyright: updated the copyright packaging years.
  * debian/manpage/: updated all files to generate an updated 2.6 manpage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Jan 2017 18:52:44 -0200

volatility (2.5+git20161224.736bc3a-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: added a rm command in override_dh_auto_install target to
    remove the doxygen directory.
  * debian/source/lintian-overrides: removed. The upstream no longer uses the
    d3.js file directly.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 25 Dec 2016 22:35:44 -0200

volatility (2.5+git20161121.ecd8a54-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 10 Dec 2016 00:02:28 -0200

volatility (2.5+git20161026.75fb034-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/10_python-macos-interpreter.patch: removed. The upstream
    fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 30 Oct 2016 11:58:56 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>,
            Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 10), python, dh-python
+Build-Depends: debhelper (>= 10), dh-python, python
 X-Python-Version: 2.7
 Standards-Version: 3.9.8
 Homepage: https://github.com/volatilityfoundation/volatility
@@ -13,16 +13,16 @@
 
 Package: volatility
 Architecture: all
-Suggests: lime-forensics-dkms, libraw1394-11
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-crypto,
+Suggests: libraw1394-11, lime-forensics-dkms
+Depends: python-crypto,
          python-distorm3,
          python-imaging,
          python-openpyxl,
          python-tz,
          python-yara,
-         volatility-tools (>= 2.4.1-1)
+         volatility-tools (>= 2.4.1-1),
+         ${misc:Depends},
+         ${python:Depends}
 Description: advanced memory forensics framework
  The Volatility Framework is a completely open collection of tools for
  the extraction of digital artifacts from volatile memory (RAM) samples.
@@ -56,39 +56,51 @@
     - Cached Truecrypt passphrases;
     - Others.
  .
- Current version (2.5) supports investigations of the memory images from
- these operational systems:
-    - 32- and 64-bit Windows Server 2012
-    - 64-bit Windows 2012 R2
-    - 32- and 64-bit Windows 10
-    - 32- and 64-bit Windows 8, 8.1, and 8.1 Update 1
-    - 32- and 64-bit Windows 7 (all service packs)
-    - 32- and 64-bit Windows Server 2008 (all service packs)
-    - 64-bit Windows Server 2008 R2 (all service packs)
-    - 32- and 64-bit Windows Vista (all service packs)
-    - 32- and 64-bit Windows Server 2003 (all service packs)
-    - 32- and 64-bit Windows XP (SP2 and SP3)
-    - 32- and 64-bit Linux kernels from 2.6.11 to 4.2.3
-    - 32-bit 10.5.x Leopard (the only 64-bit 10.5 is Server, which
-      isn't supported)
-    - 32- and 64-bit 10.6.x Snow Leopard
-    - 32- and 64-bit 10.7.x Lion
+ Current version (2.6) supports investigations of the memory images from
+ the following operational systems:
+    - 32-bit Windows XP Service Pack 2 and 3
+    - 32-bit Windows 2003 Server Service Pack 0, 1, 2
+    - 32-bit Windows Vista Service Pack 0, 1, 2
+    - 32-bit Windows 2008 Server Service Pack 1, 2 (there is no SP0)
+    - 32-bit Windows 7 Service Pack 0, 1
+    - 32-bit Windows 8, 8.1, and 8.1 Update 1
+    - 32-bit Windows 10 (initial support)
+    - 64-bit Windows XP Service Pack 1 and 2 (there is no SP0)
+    - 64-bit Windows 2003 Server Service Pack 1 and 2 (there is no SP0)
+    - 64-bit Windows Vista Service Pack 0, 1, 2
+    - 64-bit Windows 2008 Server Service Pack 1 and 2 (there is no SP0)
+    - 64-bit Windows 2008 R2 Server Service Pack 0 and 1
+    - 64-bit Windows 7 Service Pack 0 and 1
+    - 64-bit Windows 8, 8.1, and 8.1 Update 1
+    - 64-bit Windows Server 2012 and 2012 R2
+    - 64-bit Windows 10 (including at least 10.0.14393)
+    - 64-bit Windows Server 2016 (including at least 10.0.14393.0)
+    - 32-bit Linux kernels 2.6.11 to 4.2.3
+    - 64-bit Linux kernels 2.6.11 to 4.2.3
+    - 32-bit 10.5.x Leopard (the only 64-bit 10.5 is Server, which isn't
+      supported)
+    - 32-bit 10.6.x Snow Leopard
+    - 64-bit 10.6.x Snow Leopard
+    - 32-bit 10.7.x Lion
+    - 64-bit 10.7.x Lion
     - 64-bit 10.8.x Mountain Lion (there is no 32-bit version)
     - 64-bit 10.9.x Mavericks (there is no 32-bit version)
     - 64-bit 10.10.x Yosemite (there is no 32-bit version)
     - 64-bit 10.11.x El Capitan (there is no 32-bit version)
+    - 64-bit 10.12.x Sierra (there is no 32-bit version)
  .
  Volatility supports a variety of sample file formats:
-    - Raw/Padded Physical Memory;
-    - Firewire (IEEE 1394);
-    - Expert Witness (EWF);
-    - 32- and 64-bit Windows Crash Dump;
-    - 32- and 64-bit Windows Hibernation;
-    - 32- and 64-bit MachO files;
-    - Virtualbox Core Dumps;
-    - VMware Saved State (.vmss) and Snapshot (.vmsn);
-    - HPAK Format (FastDump);
-    - QEMU memory dumps.
+    - Raw linear sample (dd)
+    - Hibernation file (from Windows 7 and earlier)
+    - Crash dump file
+    - VirtualBox ELF64 core dump
+    - VMware saved state and snapshot files
+    - EWF format (E01)
+    - LiME format
+    - Mach-O file format
+    - QEMU virtual machine dumps
+    - Firewire
+    - HPAK (FDPro)
 
 Package: volatility-tools
 Architecture: all

## volatility 2.6%2Bgit20170711.b3db0cc

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Michael Prokop <mika@debian.org>
 Build-Depends: debhelper (>= 10), dh-python, python
 X-Python-Version: 2.7
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/volatilityfoundation/volatility
 Vcs-Git: https://anonscm.debian.org/git/forensics/volatility.git
 Vcs-Browser: https://anonscm.debian.org/git/forensics/volatility.git
@@ -16,8 +16,8 @@
 Suggests: libraw1394-11, lime-forensics-dkms
 Depends: python-crypto,
          python-distorm3,
-         python-imaging,
          python-openpyxl,
+         python-pil,
          python-tz,
          python-yara,
          volatility-tools (>= 2.4.1-1),

## volatility 2.6+git20170711.b3db0cc

=== Makefile ===
all: build

build:
	python setup.py build

install:
	python setup.py install

dist:
	python setup.py sdist

clean:
	rm -f `find . -name "*.pyc" -o -name "*~"`
	rm -rf dist build

=== debian/changelog ===
volatility (2.6+git20170711.b3db0cc-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Replaced python-imaging wth python-pil in Depends field.
        Thanks to Matthias Klose <doko@debian.org> (Closes: #866492)
  * debian/copyright: updated the upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jul 2017 20:03:25 -0300

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 	python setup.py install --root=debian/tmp --install-layout=deb \
                                 --install-scripts=/usr/share/volatility \
                                 --install-data=/usr/share/volatility
+	# Remove doxygen files
+	rm -rf debian/tmp/usr/share/volatility/tools/doxygen

=== debian/watch ===
version=4
opts=dversionmangle=s/\+git.*// \
https://github.com/volatilityfoundation/volatility/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## volatility 2.6.1

=== debian/changelog ===
volatility (2.6.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Nov 2018 15:48:27 -0200

volatility (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.
  * debian/copyright: updated copyright years for Michael Hale Ligh.
  * debian/manpage/*: updated manpage.
  * debian/tests/control: using Restriction field instead of '2>'.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Nov 2018 00:31:23 -0200

volatility (2.6+git20170711.b3db0cc-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Removed X-Python-Version field.
  * debian/copyright:
      - Added rights for Raphaël Hertzog.
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/control: created to perform a trivial test.

  [ Raphaël Hertzog ]
  * debian/control:
      - Changed Vcs-* URLs to salsa.debian.org.
      - Updated team maintainer address to Debian Security Tools
        <team+pkg-security@tracker.debian.org>.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Sep 2018 21:53:13 -0300

=== debian/tests/control ===
Test-Command: volatility --info
Restrictions: allow-stderr
